Package it.ernytech.tdlib

## Class TdApi.SearchPublicChats

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SearchPublicChats

Enclosing class:
  TdApi

    public static class TdApi.SearchPublicChats
    extends TdApi.Function

Searches public chats by looking for specified query in their username and title. Currently only private chats, supergroups and channels can be public. Returns a meaningful number of results. Returns nothing if the length of the searched username prefix is less than 5. Excludes private chats with contacts and chats from the chat list from the results.

Returns `Chats`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `query` Query to search for.

### Constructor Summary

Constructors
`SearchPublicChats()` Default constructor.
`SearchPublicChats​(java.lang.String query)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### query

    public java.lang.String query

Query to search for.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SearchPublicChats

    public SearchPublicChats()

Default constructor.

#### SearchPublicChats

    public SearchPublicChats​(java.lang.String query)

Constructor for initialization of all fields.

Parameters:
  `query` - Query to search for.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR